Activity log for bug #2026402

Date Who What changed Old value New value Message
2023-07-07 10:27:04 You-Sheng Yang bug added bug
2023-07-11 16:11:41 You-Sheng Yang summary failed to build against linux next-20230706 failed to build against linux v6.5-rc1
2023-07-11 16:12:34 You-Sheng Yang nominated for series Ubuntu Mantic
2023-07-11 16:12:34 You-Sheng Yang bug task added ipu6-drivers (Ubuntu Mantic)
2023-07-11 16:28:09 You-Sheng Yang ipu6-drivers (Ubuntu Mantic): status New In Progress
2023-07-11 16:28:12 You-Sheng Yang ipu6-drivers (Ubuntu Mantic): importance Undecided High
2023-07-11 16:28:14 You-Sheng Yang ipu6-drivers (Ubuntu Mantic): assignee You-Sheng Yang (vicamo)
2023-07-25 10:49:18 You-Sheng Yang description ``` <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-psys.c: In function 'ipu_psys_get_userpages': <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-psys.c:214:22: error: too many arguments to function 'get_user_pages' 214 | nr = get_user_pages(start & PAGE_MASK, npages, | ^~~~~~~~~~~~~~ In file included from ./include/linux/scatterlist.h:8, from ./include/linux/dma-buf.h:19, from <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-psys.c:7: ./include/linux/mm.h:2476:6: note: declared here 2476 | long get_user_pages(unsigned long start, unsigned long nr_pages, | ^~~~~~~~~~~~~~ <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-isys-csi2.c:473:1: warning: 'csi2_try_fmt' defined but not used [-Wunused-function] 473 | csi2_try_fmt(struct ipu_isys_video *av, | ^~~~~~~~~~~~ make[6]: *** [scripts/Makefile.build:251: <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-psys.o] Error 1 make[6]: *** Waiting for unfinished jobs.... make[5]: *** [scripts/Makefile.build:485: <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6] Error 2 make[4]: *** [scripts/Makefile.build:485: <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel] Error 2 make[3]: *** [<<DKMSDIR>>/headers/linux-headers-6.4.0-20230706-next/Makefile:2025: <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build] Error 2 make[2]: *** [Makefile:234: __sub-make] Error 2 make[2]: Leaving directory '<<DKMSDIR>>/headers/linux-headers-6.4.0-20230706-next' make[1]: *** [Makefile:37: all] Error 2 make[1]: Leaving directory '<<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build' make: *** [debian/rules.d/2-binary-arch.mk:240: /build/mantic/debian/stamps/stamp-install-next] Error 10 ``` [SRU Justifications] [Impact] Bug 2012407: kernel build fails without a newly learned directive in /sbin/dkms in bug 2012612 that helps identify whether a dkms modules is supposed to be built at all. Bug 2021740: To allow dkms driver installation initiated by ubuntu-drivers, packages must carry XB-Modaliases in debian/control. Bug 2026402: ipu6 dkms driver now fails to build against v6.5-rc1 and on. [Fix] * A BUILD_EXCLUSIVE_CONFIG patch for bug 2012407 was added to ivsc-driver/{jammy,lunar} because ivsc-driver/mantic has that already from bug 2012410. Also applied to ipu6-drivers/{mantic,lunar,jammy}. * Modaliases fixes for bug 2021740 was applied to ivsc-drivers/{mantic,lunar,jammy}, and ipu6-drivers/{mantic,lunar,jammy} * Additional fixes from upstream ipu6-drivers repo were added to ipu6-drivers/mantic for new hardware platforms. [Test Case] Bug 2012407: make sure intel-ipu6-dkms build will be skipped on platforms without CONFIG_VIDEO_V4L2_I2C, and intel-vsc-dkms on platforms without CONFIG_GPIOLIB_IRQCHIP, such as linux-headers-kvm/jammy. Bug 2021740: check built binary deb has XB-Modaliases tag in `dpkg-deb --info` output. For rest of the changes, they should be verified on next IPU6 equipped platform. [Where problems could occur] For changes for bug 2012407 and bug 2021740, they do no side effect to runtime system but to reinforce the interaction between other components. For rest of the changes, only in ipu6-drivers/mantic, they're to sync with upstream development for new hardware platforms, and expects bug fixes, updates in the coming development cycle. [Other Info] ========== original bug report ========== ``` <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-psys.c: In function 'ipu_psys_get_userpages': <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-psys.c:214:22: error: too many arguments to function 'get_user_pages'   214 | nr = get_user_pages(start & PAGE_MASK, npages,       | ^~~~~~~~~~~~~~ In file included from ./include/linux/scatterlist.h:8,                  from ./include/linux/dma-buf.h:19,                  from <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-psys.c:7: ./include/linux/mm.h:2476:6: note: declared here  2476 | long get_user_pages(unsigned long start, unsigned long nr_pages,       | ^~~~~~~~~~~~~~ <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-isys-csi2.c:473:1: warning: 'csi2_try_fmt' defined but not used [-Wunused-function]   473 | csi2_try_fmt(struct ipu_isys_video *av,       | ^~~~~~~~~~~~ make[6]: *** [scripts/Makefile.build:251: <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6/../ipu-psys.o] Error 1 make[6]: *** Waiting for unfinished jobs.... make[5]: *** [scripts/Makefile.build:485: <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel/ipu6] Error 2 make[4]: *** [scripts/Makefile.build:485: <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build/drivers/media/pci/intel] Error 2 make[3]: *** [<<DKMSDIR>>/headers/linux-headers-6.4.0-20230706-next/Makefile:2025: <<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build] Error 2 make[2]: *** [Makefile:234: __sub-make] Error 2 make[2]: Leaving directory '<<DKMSDIR>>/headers/linux-headers-6.4.0-20230706-next' make[1]: *** [Makefile:37: all] Error 2 make[1]: Leaving directory '<<DKMSDIR>>/build/ipu6-drivers/0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1/build' make: *** [debian/rules.d/2-binary-arch.mk:240: /build/mantic/debian/stamps/stamp-install-next] Error 10 ```